Bug 269135 - editors/elementary-code: update to 7.0.0
Summary: editors/elementary-code: update to 7.0.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/elementary/code/re...
Keywords:
Depends on:
Blocks:
 
Reported: 2023-01-24 20:37 UTC by Olivier Duchateau
Modified: 2023-01-26 18:09 UTC (History)
3 users (show)

See Also:
miguel: maintainer-feedback+
duchateau.olivier: maintainer-feedback?


Attachments
Patch to update editors/elementary-code (5.81 KB, patch)
2023-01-24 20:37 UTC, Olivier Duchateau
duchateau.olivier: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Olivier Duchateau 2023-01-24 20:37:35 UTC
Created attachment 239684 [details]
Patch to update editors/elementary-code

- Update to 7.0.0
- Adjust patch (terminal plugin is now in core library)
Comment 1 Miguel Gocobachi 2023-01-24 21:07:11 UTC
it looks good, thank you!
Comment 2 Graham Perrin freebsd_committer 2023-01-24 21:55:31 UTC
(In reply to Miguel Gocobachi from comment #1)

Thank you, can you set the flags appropriately? One for maintainer-feedback (on the report), one for maintainer-approval (of the attachment).
Comment 3 Miguel Gocobachi 2023-01-24 22:21:15 UTC
(In reply to Graham Perrin from comment #2)

I changed to "+" within the details of the patch, but this is not the first time I see it not changing it correctly or at least I do not see it changing to what I set it.
Comment 4 commit-hook freebsd_committer 2023-01-26 18:07:10 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=cb9331513e988aac57fb681934758290315df33c

commit cb9331513e988aac57fb681934758290315df33c
Author:     Olivier Duchateau <duchateau.olivier@gmail.com>
AuthorDate: 2023-01-25 06:55:18 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2023-01-26 18:02:41 +0000

    editors/elementary-code: update to 7.0.0

    ChangeLog: https://github.com/elementary/code/releases/tag/7.0.0

     * Fix compile warnings
     * add code to keywords
     * Fix drag and drop of accented text and between tabs
     * Git ignore flatpak build files
     * Ensure tab toggle label is always correct
     * Add follow system style switch
     * Explicitly handle missing cases
     * Remove unused properties
     * Change key to trigger rebuild completion word list
     * Global search selected
     * Move strip trailing whitespace into main code; remove plugin
     * Fix meson warning for run_command
     * Add custom elementary syntax styles
     * Hide non-active documents when project manually chosen
     * Show symbol outline pane on right of document
     * ProjectFolderItem: Fix wrong ngettext syntax
     * Redesign app icon as a tile
     * Put the ProjectChooserButton inside the sidebar
     * HeaderBar: put find actions in menu
     * EditorConfig plugin overrides global settings for indent width and style
     * Make sidebar pane the toplevel container
     * Use elementary styles when following system style
     * Change panel menu items to linkbutton
     * FormatBar: use SwitchModelButton in tab popover
     * Move Terminal to core
     * Headerbar: remove sep before Revert
     * FormatBar: use menubuttons instead of ToggleButtons
     * Sidebar: Remove minimum width
     * GSchema: follow system style
     * Only restore documents for first window.
     * Do not add duplicate project
     * Update ci.yml
     * FormatBar: Set sensitivity of affected items, fix binding
     * PluginManager: Remove unused hooks
     * Make Control-Scroll zooming controllable
     * Metainfo improvements
     * Headerbar: code style, small fixes
     * Application: use built-in GLib functions in Activate
     * Inactivate find actions when no current doc
     * Fix startup warnings
     * Styles: misc refinements

    PR:             269135
    Reported by:    duchateau.olivier@gmail.com
    Approved by:    miguel@gocobachi.dev (maintainer)

 editors/elementary-code/Makefile                    |  7 +++----
 editors/elementary-code/distinfo                    |  6 +++---
 .../patch-plugins_terminal_terminal.vala (gone)     | 21 ---------------------
 .../files/patch-src_Widgets_Terminal.vala (new)     | 20 ++++++++++++++++++++
 editors/elementary-code/pkg-plist                   | 10 +++-------
 5 files changed, 29 insertions(+), 35 deletions(-)
Comment 5 Fernando Apesteguía freebsd_committer 2023-01-26 18:09:17 UTC
Committed,

Thanks!